> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vogent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Voices

> Lists the AI voices available to the workspace.



## OpenAPI

````yaml get /voices
openapi: 3.0.3
info:
  title: Vogent - OpenAPI 3.0
  description: Test Description
  version: 1.0.11
servers:
  - url: https://api.vogent.ai/api
security:
  - bearerAuth: []
paths:
  /voices:
    get:
      summary: List Voices
      description: Lists the AI voices available to the workspace.
      operationId: listVoices
      parameters:
        - in: query
          name: name
          schema:
            type: string
          required: false
          description: Filter voices by name.
        - in: query
          name: voiceType
          schema:
            type: string
          required: false
          description: >-
            The provider (for third party voices), or model type (for Vogent
            hosted voices).
        - in: query
          name: limit
          schema:
            type: integer
          required: false
          description: The maximum number of voices to return.
        - in: query
          name: cursor
          schema:
            type: string
          required: false
          description: >-
            The pagination cursor returned by the previous request. Feed the
            result provided by vogent verbatim.
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListVoicesResponse'
        '400':
          description: Invalid input
        '422':
          description: Validation exception
components:
  schemas:
    ListVoicesResponse:
      type: object
      properties:
        voices:
          type: array
          items:
            $ref: '#/components/schemas/AIVoice'
        cursor:
          type: string
          nullable: true
          description: >-
            A cursor you can pass to /voices to fetch the next page. If no next
            page exists, the cursor will be null.
      required:
        - voices
        - cursor
    AIVoice:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        voiceType:
          type: string
        voiceTier:
          $ref: '#/components/schemas/VoiceTier'
        description:
          type: string
      required:
        - id
        - name
        - voiceType
        - voiceTier
        - description
    VoiceTier:
      type: string
      enum:
        - STANDARD
        - PREMIUM
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        In the form `Bearer <api_key_here>`. You can find your api key in your
        dashboard.

````